utf_32le.c File Reference
`#include "regenc.h"`

Go to the source code of this file.

## Functions

static int | utf32le_mbc_enc_len (const UChar *p ARG_UNUSED, const OnigUChar *e ARG_UNUSED, OnigEncoding enc ARG_UNUSED)
static int | utf32le_is_mbc_newline (const UChar *p, const UChar *end, OnigEncoding enc ARG_UNUSED)
static OnigCodePoint | utf32le_mbc_to_code (const UChar *p, const UChar *end ARG_UNUSED, OnigEncoding enc ARG_UNUSED)
static int | utf32le_code_to_mbclen (OnigCodePoint code ARG_UNUSED, OnigEncoding enc ARG_UNUSED)
static int | utf32le_code_to_mbc (OnigCodePoint code, UChar *buf, OnigEncoding enc ARG_UNUSED)
static int | utf32le_mbc_case_fold (OnigCaseFoldType flag, const UChar **pp, const UChar *end, UChar *fold, OnigEncoding enc)
static UChar * | utf32le_left_adjust_char_head (const UChar *start, const UChar *s, const UChar *end, OnigEncoding enc ARG_UNUSED)
static int | utf32le_get_case_fold_codes_by_str (OnigCaseFoldType flag, const OnigUChar *p, const OnigUChar *end, OnigCaseFoldCodeItem items[], OnigEncoding enc)
| OnigEncodingDefine (utf_32le, UTF_32LE)

## Function Documentation

OnigEncodingDefine | ( | utf_32le | ,
|  | UTF_32LE |
| ) |  |

static int utf32le_code_to_mbc | ( | OnigCodePoint | code,
|  | UChar * | buf,
|  | OnigEncoding enc | ARG_UNUSED
| ) |  |

static

Definition at line 77 of file utf_32le.c.

References buf, p, and UChar.

static int utf32le_code_to_mbclen | ( | OnigCodePoint code | ARG_UNUSED,
|  | OnigEncoding enc | ARG_UNUSED
| ) |  |

static

Definition at line 70 of file utf_32le.c.

static int utf32le_get_case_fold_codes_by_str | ( | OnigCaseFoldType | flag,
|  | const OnigUChar * | p,
|  | const OnigUChar * | end,
|  | OnigCaseFoldCodeItem | items[],
|  | OnigEncoding | enc
| ) |  |

static

Definition at line 167 of file utf_32le.c.

References onigenc_unicode_get_case_fold_codes_by_str().

static int utf32le_is_mbc_newline | ( | const UChar * | p,
|  | const UChar * | end,
|  | OnigEncoding enc | ARG_UNUSED
| ) |  |

static

Definition at line 40 of file utf_32le.c.

static UChar* utf32le_left_adjust_char_head | ( | const UChar * | start,
|  | const UChar * | s,
|  | const UChar * | end,
|  | OnigEncoding enc | ARG_UNUSED
| ) |  |

static

Definition at line 155 of file utf_32le.c.

References UChar.

static int utf32le_mbc_case_fold | ( | OnigCaseFoldType | flag,
|  | const UChar ** | pp,
|  | const UChar * | end,
|  | UChar * | fold,
|  | OnigEncoding | enc
| ) |  |

static

Definition at line 90 of file utf_32le.c.

References ONIGENC_ASCII_CODE_TO_LOWER_CASE, ONIGENC_CASE_FOLD_TURKISH_AZERI, ONIGENC_IS_ASCII_CODE, onigenc_unicode_mbc_case_fold(), p, and UChar.

static int utf32le_mbc_enc_len | ( | const UChar *p | ARG_UNUSED,
|  | const OnigUChar *e | ARG_UNUSED,
|  | OnigEncoding enc | ARG_UNUSED
| ) |  |

static

Definition at line 33 of file utf_32le.c.

static OnigCodePoint utf32le_mbc_to_code | ( | const UChar * | p,
|  | const UChar *end | ARG_UNUSED,
|  | OnigEncoding enc | ARG_UNUSED
| ) |  |

static

Definition at line 63 of file utf_32le.c.